Update Merchant Status
curl --request PATCH \
--url https://api.example.com/api/v1/management/merchants/{id}/status \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"status": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/management/merchants/{id}/status"
payload = { "status": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: '<string>'})
};
fetch('https://api.example.com/api/v1/management/merchants/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"updated_at": "<string>"
}Merchants
Update Merchant Status
Pause or reactivate a merchant’s ability to process payments.
PATCH
/
api
/
v1
/
management
/
merchants
/
{id}
/
status
Update Merchant Status
Headers
string
required
Your test or live SDK Secret Key (
sk_test_... or sk_live_...).Path Parameters
string
required
Unique merchant identifier (e.g.,
mch_xyz789).Request Body
string
required
The new merchant status. Allowed values:
ACTIVE, PAUSED.Response Fields
string
Unique merchant identifier.
string
The merchant’s name.
string
Updated merchant status (
ACTIVE or PAUSED).string
ISO 8601 timestamp of update.
Response Example
{
"id": "mch_xyz789",
"name": "Urban Eats",
"status": "PAUSED",
"updated_at": "2026-04-04T15:00:00Z"
}
Platform Restrictions: If a merchant has been set to
BLACKLISTED, FROZEN, or SUSPENDED by the TapRails platform, you cannot override that status using this endpoint.⌘I

